%define lib_major	2
%define lib_name	%mklibname unicapgtk %{lib_major}
%define develname	%mklibname -d unicapgtk

Summary:	Library to build graphical widgets for the unicap library
Name:		libunicapgtk
Version:	0.9.8
Release:	4
License:	GPLv2+
Group:		System/Libraries
Url:		http://www.unicap-imaging.org/
Source0:	http://www.unicap-imaging.org/downloads/%{name}-%{version}.tar.gz
Patch0:		libunicapgtk-0.9.8-link.patch
Patch1:		libunicapgtk-bz532289.patch
Patch2:		libunicapgtk-0.9.8-destroycb.patch
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libunicap)
BuildRequires:	pkgconfig(libucil)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xv)
BuildRequires:	gtk-doc
BuildRequires:	intltool

%description
Unicap provides a uniform interface to video capture devices. It allows
applications to use any supported video capture device via a single API.
Building applications with a graphical user interface is made especially
easy with the unicapGTK widget set.

%package -n %{lib_name}
Summary:	Dynamic libraries for Unicapgtk
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}
Conflicts:	%{_lib}unicap2 < 0.9.12

%description -n %{lib_name}
Unicap provides a uniform interface to video capture devices. It allows
applications to use any supported video capture device via a single API.
Building applications with a graphical user interface is made especially
easy with the unicapGTK widget set.

%package -n %{develname}
Summary:	Static libraries, include files for Unicapgtk
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}-%{release}
Conflicts:	%{_lib}unicap-devel < 0.9.12

%description -n %{develname}
Static library and headers file
needed in order to develop applications using unicap.

%prep
%setup -q
%patch0 -p0
%patch1 -p1
%patch2 -p1

%build
%configure2_5x --disable-static
%make LIBS="-pthread"

%install
%makeinstall_std

%find_lang unicapgtk

%files -f unicapgtk.lang

%files -n %{lib_name}
%{_libdir}/*.so.%{lib_major}*

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/libunicapgtk
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_libdir}/*.so



%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 0.9.8-4
+ Revision: d33dfd3
- MassBuild#440: Increase release tag


